B.2 Dependencies for Ubuntu 12.04 LTS

Some package dependencies for Ubuntu 12.04 Long Term Support (LTS) are part of a base installation.

Some packages might depend on other packages. If you install with the Ubuntu Software Center GUI tool or the apt command line tool, these dependencies resolve automatically. If you install packages directly using the dpkg command, you must resolve these dependencies manually. To display the package containing a library file on your installation, enter on the command line:
dpkg -S library_file
For example, to list the package containing /lib/x86_64-linux-gnu/libc-2.15.so, enter:
dpkg -S /lib/x86_64-linux-gnu/libc-2.15.so
This output indicates that the library is part of the libc6 package:
libc6: /lib/x86_64-linux-gnu/libc-2.15.so 

Note

Fast Models tools require 32-bit libraries, but ARM only supports 64-bit Ubuntu and, under Ubuntu, generation of 64-bit models.

Table B-4 Dependencies for Ubuntu 12.04 LTS

Package Required for
lsb Fast Models tools and virtual platforms
make Fast Models tools
g++-multilib Fast Models tools
libc6 Fast Models tools and virtual platforms
libc6:i386 Fast Models tools
libc6-dev Fast Models tools
libgcc1 Fast Models tools and virtual platforms
libgcc1:i386 Fast Models tools
libstdc++6 Fast Models tools and virtual platforms
libstdc++6:i386 Fast Models tools
libxext6 Fast Models tools and virtual platforms
libxext6:i386 Fast Models tools
libsm6 Fast Models tools and virtual platforms
libsm6:i386 Fast Models tools
libxcursor1 Fast Models tools and virtual platforms
libxcursor1:i386 Fast Models tools
libXft2 Fast Models tools and virtual platforms
libXft2:i386 Fast Models tools
libXrandr2 Fast Models tools and virtual platforms
libXrandr2:i386 Fast Models tools
libXt6:i386 Fast Models tools and virtual platforms
xterm Fast Models virtual platforms
telnet Fast Models virtual platforms
Non-ConfidentialPDF file icon PDF versionARM DUI0370S
Copyright © 2007-2014 ARM. All rights reserved.